# Class VulkanDescriptorPoolCreateInfo.Builder

java.lang.Object
com.io7m.jcoronado.api.VulkanDescriptorPoolCreateInfo.Builder

Enclosing class:
  `VulkanDescriptorPoolCreateInfo`

public static final class VulkanDescriptorPoolCreateInfo.Builder extends Object
Builds instances of type `VulkanDescriptorPoolCreateInfo`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final VulkanDescriptorPoolCreateInfo.Builder`
  `addAllFlags(Iterable<VulkanDescriptorPoolCreateFlag> elements)`
  Adds elements to `flags` set.
  `final VulkanDescriptorPoolCreateInfo.Builder`
  `addAllPoolSizes(Iterable<? extends VulkanDescriptorPoolSize> elements)`
  Adds elements to `poolSizes` list.
  `final VulkanDescriptorPoolCreateInfo.Builder`
  `addFlags(VulkanDescriptorPoolCreateFlag element)`
  Adds one element to `flags` set.
  `final VulkanDescriptorPoolCreateInfo.Builder`
  `addFlags(VulkanDescriptorPoolCreateFlag... elements)`
  Adds elements to `flags` set.
  `final VulkanDescriptorPoolCreateInfo.Builder`
  `addPoolSizes(VulkanDescriptorPoolSize element)`
  Adds one element to `poolSizes` list.
  `final VulkanDescriptorPoolCreateInfo.Builder`
  `addPoolSizes(VulkanDescriptorPoolSize... elements)`
  Adds elements to `poolSizes` list.
  `VulkanDescriptorPoolCreateInfo`
  `build()`
  Builds a new `VulkanDescriptorPoolCreateInfo`.
  `final VulkanDescriptorPoolCreateInfo.Builder`
  `from(VulkanDescriptorPoolCreateInfoType instance)`
  Fill a builder with attribute values from the provided `VulkanDescriptorPoolCreateInfoType` instance.
  `final VulkanDescriptorPoolCreateInfo.Builder`
  `setFlags(Iterable<VulkanDescriptorPoolCreateFlag> elements)`
  Sets or replaces all elements for `flags` set.
  `final VulkanDescriptorPoolCreateInfo.Builder`
  `setMaxSets(int maxSets)`
  Initializes the value for the `maxSets` attribute.
  `final VulkanDescriptorPoolCreateInfo.Builder`
  `setPoolSizes(Iterable<? extends VulkanDescriptorPoolSize> elements)`
  Sets or replaces all elements for `poolSizes` list.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final VulkanDescriptorPoolCreateInfo.Builder from(VulkanDescriptorPoolCreateInfoType instance)
    Fill a builder with attribute values from the provided `VulkanDescriptorPoolCreateInfoType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values. Collection elements and entries will be added, not replaced.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### addFlags

    public final VulkanDescriptorPoolCreateInfo.Builder addFlags(VulkanDescriptorPoolCreateFlag element)
    Adds one element to `flags` set.
    Parameters:
      `element` - A flags element
    Returns:
      `this` builder for use in a chained invocation

  - ### addFlags

    public final VulkanDescriptorPoolCreateInfo.Builder addFlags(VulkanDescriptorPoolCreateFlag... elements)
    Adds elements to `flags` set.
    Parameters:
      `elements` - An array of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setFlags

    public final VulkanDescriptorPoolCreateInfo.Builder setFlags(Iterable<VulkanDescriptorPoolCreateFlag> elements)
    Sets or replaces all elements for `flags` set.
    Parameters:
      `elements` - An iterable of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addAllFlags

    public final VulkanDescriptorPoolCreateInfo.Builder addAllFlags(Iterable<VulkanDescriptorPoolCreateFlag> elements)
    Adds elements to `flags` set.
    Parameters:
      `elements` - An iterable of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxSets

    public final VulkanDescriptorPoolCreateInfo.Builder setMaxSets(int maxSets)
    Initializes the value for the `maxSets` attribute.

    If not set, this attribute will have a default value as returned by the initializer of `maxSets`.

    Parameters:
      `maxSets` - The value for maxSets
    Returns:
      `this` builder for use in a chained invocation

  - ### addPoolSizes

    public final VulkanDescriptorPoolCreateInfo.Builder addPoolSizes(VulkanDescriptorPoolSize element)
    Adds one element to `poolSizes` list.
    Parameters:
      `element` - A poolSizes element
    Returns:
      `this` builder for use in a chained invocation

  - ### addPoolSizes

    public final VulkanDescriptorPoolCreateInfo.Builder addPoolSizes(VulkanDescriptorPoolSize... elements)
    Adds elements to `poolSizes` list.
    Parameters:
      `elements` - An array of poolSizes elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setPoolSizes

    public final VulkanDescriptorPoolCreateInfo.Builder setPoolSizes(Iterable<? extends VulkanDescriptorPoolSize> elements)
    Sets or replaces all elements for `poolSizes` list.
    Parameters:
      `elements` - An iterable of poolSizes elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addAllPoolSizes

    public final VulkanDescriptorPoolCreateInfo.Builder addAllPoolSizes(Iterable<? extends VulkanDescriptorPoolSize> elements)
    Adds elements to `poolSizes` list.
    Parameters:
      `elements` - An iterable of poolSizes elements
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public VulkanDescriptorPoolCreateInfo build()
    Builds a new `VulkanDescriptorPoolCreateInfo`.
    Returns:
      An immutable instance of VulkanDescriptorPoolCreateInfo
    Throws:
      `IllegalStateException` - if any required attributes are missing